POST V1/RevenueTrackingSystem.{ext}/GetRtsTaskDetails

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.RevenuTrackingSystemEntity+TaskDetail+TaskDetails
NameDescriptionTypeAdditional information
ClientName

No description available

string

None.

TaskName

No description available

string

None.

TaskStatus

No description available

string

None.

TaskCatogery

No description available

string

None.

ServiceCategory

No description available

string

None.

BusinessUnit

No description available

string

None.

CreatedBy

No description available

string

None.

CreatedDate

No description available

string

None.

UpdatedDate

No description available

integer

None.

Aging

No description available

integer

None.

TaskId

No description available

string

None.

dueDate

No description available

string

None.

InvoiceNo

No description available

string

None.

jiraId

No description available

string

None.

EstimatedHours

No description available

string

None.

assignedTo

No description available

string

None.

modifiedUser

No description available

string

None.

ServiceCategoryId

No description available

string

None.

TaskCatogeryId

No description available

string

None.

BusinessUnitId

No description available

string

None.

TaskStatusId

No description available

integer

None.

Comments

No description available

string

None.

taskNumber

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "clientName": "sample string 1",
  "taskName": "sample string 2",
  "taskStatus": "sample string 3",
  "taskCatogery": "sample string 4",
  "serviceCategory": "sample string 5",
  "businessUnit": "sample string 6",
  "createdBy": "sample string 7",
  "createdDate": "sample string 8",
  "updatedDate": 9,
  "aging": 10,
  "taskId": "sample string 11",
  "dueDate": "sample string 12",
  "invoiceNo": "sample string 13",
  "jiraId": "sample string 14",
  "estimatedHours": "sample string 15",
  "assignedTo": "sample string 16",
  "modifiedUser": "sample string 17",
  "serviceCategoryId": "sample string 18",
  "taskCatogeryId": "sample string 19",
  "businessUnitId": "sample string 20",
  "taskStatusId": 21,
  "comments": "sample string 22",
  "taskNumber": "sample string 23"
}

application/xml, text/xml

Sample:
<RevenuTrackingSystemEntity.TaskDetail.TaskDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <Aging>10</Aging>
  <BusinessUnit>sample string 6</BusinessUnit>
  <BusinessUnitId>sample string 20</BusinessUnitId>
  <ClientName>sample string 1</ClientName>
  <Comments>sample string 22</Comments>
  <CreatedBy>sample string 7</CreatedBy>
  <CreatedDate>sample string 8</CreatedDate>
  <EstimatedHours>sample string 15</EstimatedHours>
  <InvoiceNo>sample string 13</InvoiceNo>
  <ServiceCategory>sample string 5</ServiceCategory>
  <ServiceCategoryId>sample string 18</ServiceCategoryId>
  <TaskCatogery>sample string 4</TaskCatogery>
  <TaskCatogeryId>sample string 19</TaskCatogeryId>
  <TaskId>sample string 11</TaskId>
  <TaskName>sample string 2</TaskName>
  <TaskStatus>sample string 3</TaskStatus>
  <TaskStatusId>21</TaskStatusId>
  <UpdatedDate>9</UpdatedDate>
  <assignedTo>sample string 16</assignedTo>
  <dueDate>sample string 12</dueDate>
  <jiraId>sample string 14</jiraId>
  <modifiedUser>sample string 17</modifiedUser>
  <taskNumber>sample string 23</taskNumber>
</RevenuTrackingSystemEntity.TaskDetail.TaskDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.